# mongoc_auto_encryption_opts_t

Options for enabling automatic encryption and decryption for Client-Side Field Level Encryption.

## Synopsis

    typedef struct _mongoc_auto_encryption_opts_t mongoc_auto_encryption_opts_t;

See also

The guide for Using Client-Side Field Level Encryption

## Functions

- mongoc_auto_encryption_opts_new()
- mongoc_auto_encryption_opts_destroy()
- mongoc_auto_encryption_opts_set_keyvault_client()
- mongoc_auto_encryption_opts_set_keyvault_client_pool()
- mongoc_auto_encryption_opts_set_keyvault_namespace()
- mongoc_auto_encryption_opts_set_kms_providers()
- mongoc_auto_encryption_opts_set_kms_credential_provider_callback()
- mongoc_auto_encryption_opts_set_schema_map()
- mongoc_auto_encryption_opts_set_bypass_auto_encryption()
- mongoc_auto_encryption_opts_set_extra()
- mongoc_auto_encryption_opts_set_tls_opts()
- mongoc_auto_encryption_opts_set_encrypted_fields_map()
- mongoc_auto_encryption_opts_set_bypass_query_analysis()